Summary: Policy Daemon for the Postfix MTA
Name: policyd-weight
Version: 0.1.15
Release: 2beta%{?dist}
License: Robert Felber. All rights reserved.
Group: System Environment/Daemons
URL: http://www.policyd-weight.org/

Packager : Django <django@nausch.org>
Distribution: CentOS 7
Vendor: EDV Beratung Selling-IT - Robert Felber 

BuildArch:     noarch

Source0: policyd-weight
Source1: policyd-weight.service
Source2: policyd-weight.conf

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
#BuildRequires: sendmail-devel >= 8.13
Requires: perl-Net-IP perl-Sys-Syslog perl-Net-DNS

%description
policyd-weight is a Perl policy daemon for the Postfix MTA (2.1 and later) 
intended to eliminate forged envelope senders and HELOs (i.e. in bogus mails).
It allows you to score DNSBLs (RBL/RHSBL), HELO, MAIL FROM and client IP 
addresses before any queuing is done. It allows you to REJECT messages which 
have a score higher than allowed, providing improved blocking of spam and 
virus mails. policyd-weight caches the most frequent client/sender 
combinations (SPAM as well as HAM) to reduce the number of DNS queries.

After the first three SMTP commands (HELO, MAIL FROM: and RCPT TO:) the 
client's IP address, corresponding DNS records (A, MX and PTR) and multiple 
DNSBLs can be checked, verified and scored. If the client tries to forge 
headers or supplies non-existent DNS or bogus data the spam score will 
increase, even more so if the client is listed in one or more DNSBLs. Such 
mails can be rejected while in transfer, before the mail body is received by 
your MTA. This is different from SpamAssassin or amavisd-new: for scoring or 
filtering with these programs, mail needs to be accepted and queued, bandwidth
is used, CPU-time is wasted and mail cannot be rejected without creating a 
bounce. Please have a look at the graphical working scheme.

Postfix' built-in checks can be too tough for poorly configured clients: one 
hit, and the mail gets rejected. policyd-weight is designed to be fair (DynDNS
MX users get through if their MTA is setup properly, even if their ISP net is
DUL-listed), because its decision whether to reject or accept a mail is based
on multiple factors.

Of course you should still have SpamAssassin and Clamav running (especially 
if you are responsible for a company's security and data). But these programs 
will have a lot less to do and thus decrease the need for bandwidth and CPU 
cycles. Also you might not need greylisting (which would make sense for users 
that receive a lot of new spam, though), SPF, extraordinary whitelists or SQL
and other DBs anymore.


%prep
#%setup -n %{name}-%{version}
%setup -q  -c -T
install -pm 644 %{SOURCE0} .

%build

%install
rm -rf %{buildroot}
echo %{buildroot}
mkdir %{buildroot}
install -dm 755 $RPM_BUILD_ROOT/usr/bin/
install -Dpm 755 %{SOURCE0} $RPM_BUILD_ROOT/usr/bin/policyd-weight
install -dm 755 $RPM_BUILD_ROOT/etc/
install -Dpm 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/policyd-weight.conf
install -m 755 -d %{buildroot}/usr/lib/systemd/system/
install -m 755 %{SOURCE1} %{buildroot}/usr/lib/systemd/system/policyd-weight.service
 

%pre
useradd -r -s /sbin/nologin -c "policyd-weight user" polw

%post

%preun
if [ $1 -eq 0 ] ; then
    /usr/bin/systemctl stop policyd-weight
    /usr/bin/systemctl disable policyd-weight.service
fi


%postun


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/policyd-weight.conf
%attr(0755, root, root) /usr/bin/policyd-weight
%attr(0644, root, root) /usr/lib/systemd/system/policyd-weight.service

%changelog
* Wed Nov 05 2014 Django <django@mailserver.guru> 0.1.15-2beta
- initial build for CentOS 7 

